#from enum import Enum
from marshmallow import Schema, fields, post_load




class VRPMDVMonitoringState():
    OFF     = "off"
    CREATED = "created"
    STARTED = "started"
    STOPPED = "stopped"

    def __init__(self, state = OFF):
      self.state = state


class VRPMDVMonitoringStateSchema(Schema):
    monstate = fields.String()

    @post_load
    def make_vrpmdv_MonitoringState(self, data, **kwargs):
        return VRPMDVMonitoringState(**data)




# class VRPMDVMonitoringState(Enum):
#     off     = 1
#     created = 2
#     started = 3
#     stopped = 4
